Skip to main content
POST
Create a new offense

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

Asset provider country code

Required string length: 2
assetProviderCode
string
required

Asset provider code

Required string length: 3
vehicleId
string
required

Id of vehicle

Body

application/json

The offense that should be created

paid
boolean
required
customer
object
title
string
committedTimestamp
string<date-time>
Example:

"2025-10-07T10:24:41.143Z"

location
string
amount
number<double>
currency
string
Required string length: 3
offenseStatement
string

Response

The created offense

id
string<uuid>
required
paid
boolean
required
customer
object
title
string
committedTimestamp
string<date-time>
Example:

"2025-10-07T10:24:41.143Z"

location
string
amount
number<double>
currency
string
Required string length: 3
offenseStatement
string
blob
object
ocrStatus
enum<string>
Available options:
NOT_STARTED,
MANUAL,
PROCESSING,
PROCESSED,
ERROR